import type { SpecialCardId } from "./shared/game/cards"
import type { Component } from "vue"
import ArrowArcRightIcon from "virtual:icons/ph/arrow-arc-right-bold"
import PlusCircleIcon from "virtual:icons/ph/plus-circle"
import MinusCircleIcon from "virtual:icons/ph/minus-circle"
import EyeSlashIcon from "virtual:icons/ph/eye-slash-bold"
import FlagIcon from "virtual:icons/ph/flag-bold"
import CircleHalfFillIcon from "virtual:icons/ph/circle-half-fill"
import FastForwardIcon from "virtual:icons/ph/fast-forward-bold"
import NumberCircleOneIcon from "virtual:icons/ph/number-circle-one"
import NumberCircleTwoIcon from "virtual:icons/ph/number-circle-two"
import NumberCircleThreeIcon from "virtual:icons/ph/number-circle-three"
import NumberCircleFourIcon from "virtual:icons/ph/number-circle-four"
import NumberCircleFiveIcon from "virtual:icons/ph/number-circle-five"
import NumberCircleSixIcon from "virtual:icons/ph/number-circle-six"
import NumberCircleSevenIcon from "virtual:icons/ph/number-circle-seven"
import NumberCircleEightIcon from "virtual:icons/ph/number-circle-eight"
import NumberCircleNineIcon from "virtual:icons/ph/number-circle-nine"

export const specialCardIcons: Record<SpecialCardId, Component> = {
	"return-last-opponent": ArrowArcRightIcon,
	"return-last-own": ArrowArcRightIcon,
	"increase-target-by-2": PlusCircleIcon,
	"decrease-target-by-2": MinusCircleIcon,
	"next-round-covert": EyeSlashIcon,
	"force-hit": FlagIcon,
	"double-draw": CircleHalfFillIcon,
	"end-game": FastForwardIcon
}

export const numberCircleIcons = {
	1: NumberCircleOneIcon,
	2: NumberCircleTwoIcon,
	3: NumberCircleThreeIcon,
	4: NumberCircleFourIcon,
	5: NumberCircleFiveIcon,
	6: NumberCircleSixIcon,
	7: NumberCircleSevenIcon,
	8: NumberCircleEightIcon,
	9: NumberCircleNineIcon
}